# The Red Matrix: include/acl_selectors.php File Reference

All Classes Namespaces Files Functions Variables Pages
acl_selectors.php File Reference

## Namespaces

namespace | acl_selectors

## Functions

| group_select ($selname, $selclass, $preselected=false, $size=4)
| contact_select ($selname, $selclass, $preselected=false, $size=4, $privmail=false, $celeb=false, $privatenet=false, $tabindex=null)
| fixacl (&$item)
| populate_acl ($defaults=null, $show_jotnets=true)

## Function Documentation

contact_select | ( |  | $selname,
|  |  | $selclass,
|  |  | $preselected = `false`,
|  |  | $size = `4`,
|  |  | $privmail = `false`,
|  |  | $celeb = `false`,
|  |  | $privatenet = `false`,
|  |  | $tabindex = `null`
| ) |  |

Referenced by mail_content().

fixacl | ( | & | $item | ) |

group_select | ( |  | $selname,
|  |  | $selclass,
|  |  | $preselected = `false`,
|  |  | $size = `4`
| ) |  |

populate_acl | ( |  | $defaults = `null`,
|  |  | $show_jotnets = `true`
| ) |  |

Referenced by channel_content(), chat_content(), display_content(), editwebpage_content(), events_content(), filestorage_content(), mitem_content(), network_content(), photos_content(), rpost_content(), and webpages_content().